FreeMat

- Main Page
- Related Pages

vtkOpenGLLightingPainter

Section: Visualization Toolkit Rendering Classes

# Usage

This painter manages lighting. Ligting is disabled when rendering points/lines and no normals are present or rendering Polygons/TStrips and representation is points and no normals are present.

To create an instance of class vtkOpenGLLightingPainter, simply invoke its constructor as follows

      obj = vtkOpenGLLightingPainter

# Methods

The class vtkOpenGLLightingPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLLightingPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLLightingPainter = obj.NewInstance ()`
- `vtkOpenGLLightingPainter = obj.SafeDownCast (vtkObject o)`
- `double = obj.GetTimeToDraw ()` - This painter overrides GetTimeToDraw() to never pass the request to the delegate. This is done since this class may propagate a single render request multiple times to the delegate. In that case the time accumulation responsibility is borne by the painter causing the multiple rendering requests i.e. this painter itself.